package eu.maiora.model

import eu.maiora.db.*
import org.jetbrains.exposed.sql.insert
import org.jetbrains.exposed.sql.insertAndGetId

class RicaricheRepositoryImpl : RicaricheRepository {
    override suspend fun  insert(ricarica : Ricariche): Ricariche = suspendTransaction {
        // Inserisci una nuova ricarica
        // ID non definito: viene gestito dalla sequence
        val idRicaricaInserted = RicaricheTable.insertAndGetId {
            it[codiceTransazione] = ricarica.codiceTransazione
            it[messaggio] = ricarica.messaggio
            it[idTessera] = ricarica.idTessera
            it[importo] = ricarica.importo
        }.value

        Ricariche(
            idRicaricaInserted,
            ricarica.codiceTransazione,
            ricarica.messaggio,
            ricarica.idTessera,
            ricarica.importo
        )
    }
}