package eu.maiora.model

import eu.maiora.db.*
import org.jetbrains.exposed.sql.LongColumnType
import org.jetbrains.exposed.sql.SqlExpressionBuilder
import org.jetbrains.exposed.sql.VarCharColumnType

class ValorePastiRepositoryImpl : ValorePastiRepository {
    override suspend fun  valorePastoByTessVassData(idTessera : String, idVassoio : String, data : String): String = suspendTransaction {
        // Cerca valore del pasto e punti in base alla tessera, al vassoio e al giorno

        val result = exec("SELECT SIR.trova_tariffa(?, ?, ?) FROM dual",
            listOf(
                Pair(LongColumnType(), idTessera),
                Pair(LongColumnType(), idVassoio),
                Pair(VarCharColumnType(), data)
            )){ rs ->
            var resultString: String? = null
            // Processiamo il ResultSet restituito dalla query
            if (rs.next()) {
                resultString = rs.getString(1)  // Leggiamo il primo risultato
            }
            resultString
        }


        result ?: "Nessun risultato"


    }
}